Ask Your Question
0

Problem building gscam on groovy armhf

asked 2014-01-13 02:30:56 -0600

hvn gravatar image

updated 2014-01-28 17:19:00 -0600

ngrennan gravatar image

Hi,

I'm trying to build gscam fro groovy on ubuntu 12.04armhf and get a message that quite a few deps are not released. Looking at the status page http://namniart.com/repos/status/groovy.html, it shows that it is not available for GsrcP 433 and GbinParmhf 455. Apparently mine is that version. Since the package is maintained by J. Bohren and R. Toris, I would like to know if the deps problem is indeed the reason it is missing.

Thanks

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
0

answered 2014-01-17 17:12:37 -0600

ahendrix gravatar image

updated 2014-01-24 05:59:59 -0600

There's a build of gscam available in the latest set of binary builds of Groovy for ARM. Note that the repository URL and key have changed: http://wiki.ros.org/groovy/Installation/UbuntuARM

edit flag offensive delete link more

Comments

Since this link mentions Raring, is this only for Raring or for Precise as well? I'm using Precise.

hvn gravatar imagehvn ( 2014-01-19 20:49:38 -0600 )edit

Sorry; my initial response had the wrong link. Yes, this applies to Precise as well.

ahendrix gravatar imageahendrix ( 2014-01-19 22:01:16 -0600 )edit

Thanks. I have tried to install gscam using "sudo apt-get update" and "sudo apt-get install ros-groovy-gscam" but it still says there's no such package. "sudo apt-get install ros-groovy-g<tab>" shows 14 packages, but no gscam. Neither does synaptic. Any clue what's going wrong ?

hvn gravatar imagehvn ( 2014-01-22 20:07:34 -0600 )edit

Can you confirm that you have the updated package URL ( deb http://packages.namniart.com/repos/ros precise main ) in your /etc/apt/sources.list.d/ros-latest.list ?

ahendrix gravatar imageahendrix ( 2014-01-23 07:45:46 -0600 )edit

Ok, totally forgot to update that. After updating, it can install gscam with dependencies. And can you confirm that there is a GPG error on the URL because the signature cannot be verified ?

hvn gravatar imagehvn ( 2014-01-23 19:18:10 -0600 )edit

The key has also changed. Please run: wget http://packages.namniart.com/repos/namniart.key -O - | sudo apt-key add -

ahendrix gravatar imageahendrix ( 2014-01-24 05:58:55 -0600 )edit

After running wget, apt-get install ros-groovy-gscam gives the warning that gscam as well as its dependencies can not be authenticated. Is this ok or not ?

hvn gravatar imagehvn ( 2014-01-24 06:52:47 -0600 )edit

I haven't had this problem on my systems. Did you pipe the output from wget into apt-key add to add the new key?

ahendrix gravatar imageahendrix ( 2014-01-24 07:32:50 -0600 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2014-01-13 02:30:56 -0600

Seen: 180 times

Last updated: Jan 24 '14